\name{cars}
\alias{cars}
\docType{data}
\title{cars}
\description{
 cars data
}
\usage{data(cars)}
\format{A table containing n observations.}
\source{unknown}
\references{ }
\keyword{datasets}
\eof
\name{catplot}
\alias{catplot}
\title{catplot}
\description{catplot}
\keyword{internal}
\eof
\name{ccaUpdateY}
\alias{ccaUpdateY}
\title{ccaUpdateY}
\description{ccaUpdateY}
\keyword{internal}
\eof
\name{centerX}
\alias{centerX}
\title{centerX}
\description{centerX}
\keyword{internal}
\eof
\name{cetacea}
\alias{cetacea}
\docType{data}
\title{cetacea}
\description{
 cetacea data
}
\usage{data(cetacea)}
\format{A table containing n observations.}
\source{unknown}
\references{ }
\keyword{datasets}
\eof
\name{computeY}
\alias{computeY}
\title{computeY}
\description{computeY}
\keyword{internal}
\eof
\name{galo}
\docType{data}
\alias{galo}
\title{Galo Data}
\description{
 Galo data.
}
\usage{data(galo)}
\format{A table containing n observations.}
\source{unknown}
\references{}
\keyword{datasets}
\eof
\name{graphplot}
\alias{graphplot}
\title{graphplot}
\description{graphplot}
\keyword{internal}
\eof
\name{gubell}
\docType{data}
\alias{gubell}
\title{Gubell Data}
\description{
 gubell data.
}
\usage{data(gubell)}
\format{A table containing n observations.}
\source{unknown}
\references{}
\keyword{datasets}
\eof
\name{hartigan}
\alias{hartigan}
\docType{data}
\title{Hartigan Data}
\description{
  Hartigan Data
}
\usage{data(hartigan)}
\format{
  A data frame with 24 observations on the following 6 variables.
  \describe{
    \item{thread}{a factor with levels \code{N} \code{Y}}
    \item{head}{a factor with levels \code{C} \code{F} \code{O} \code{R} \code{Y}}
    \item{indentation}{a factor with levels \code{L} \code{N} \code{T}}
    \item{bottom}{a factor with levels \code{F} \code{S}}
    \item{length}{a numeric vector}
    \item{brass}{a factor with levels \code{N} \code{Y}}
  }
}
\source{
  Clustering Algorithms, New York, Wiley, 1975, Table 12.7
}
\references{
  J.A. Hartigan
}
\examples{
data(hartigan)
}
\keyword{datasets}
\eof
\name{homals}
\alias{homals}
\title{Homogeneity Analysis}
\description{
  This function performs a homogeneity analysis, aka a multiple correspondence
  analysis, but with many additional options. Variables can be grouped into
  sets, in order to emulate regression analysis and canonical analysis. For
  each variable there are, in addition, rank constraints on the category
  quantifications (or transformations) and level constraints (which allows
  one to treat a variable as nominal, ordinal, or numerical).
  
  The general idea of homogeneity analysis is to make a joint plot in p-space of all
  objects (or individuals) and the categories of all variables. In this plot
  we connect objects with the categories they are in, thus producing
  a graph plot. If there are m variables, then m lines depart from each
  object, and with n object the graph plot has nm lines. The technique, in
  its most simple form, makes the graph plot in such a way that the sum of squares
  of the length of the nm lines is a small as possible, subject to a normalization
  of the object scores (their n x p coordinate matrix must be orthonormal).
  
  Rank constraints require the category quantifications of the categories of
  a variable to lie in a subspace of p-space. Requiring rank equal to one for all
  variables reduces homogeneity analysis to principal component analysis
  (with optimal scaling of the variables). 
  
  Sets of variables are incorporated by using additivity restrictions on the
  category quantifications (i.e. we code the variables within a set interactively,
  but then use quantifications based on main effects only). 
  
  By combining the various types of restrictions we obtain far-reaching
  generalizations of principal component analysis, canonical analysis,
  discriminant analysis and regression analysis.
}
\usage{
homals(data, sets=0, ndim=2, active=T, rank=ndim, level="NO", starplots = FALSE,
catplots =  FALSE, trfplots =  FALSE, lossplots =  FALSE, hullplots = FALSE, 
spanplots = FALSE, graphplot =  FALSE, objplot =  FALSE, objscores =  FALSE,
objlabel =  FALSE, offset =  1.20, eps1 =  -Inf, eps2 =  1e-6, itermax =  100,
voronoi =  FALSE, saveMe =  FALSE, demo =  FALSE , timer =  FALSE , tk = FALSE,
img1, img2, img3, name)
}
\arguments{
  \item{data}{data (in data-frame)}
  \item{sets}{list of vectors of indices}
  \item{ndim}{dimensionality (default 2)}
  \item{active}{which variables are active (single T means all)}
  \item{rank}{which quantification ranks (default all p)}
  \item{level}{which quantification levels NO (nominal), OR (orthogonal) (default all nominal)}
  \item{starplots}{which starplots, default is none (FALSE)}
  \item{catplots}{which category plots, default is none (FALSE)}
  \item{trfplots}{which transformation plots, default is none (FALSE)}
  \item{lossplots}{which loss plots, default is none (FALSE)}
  \item{hullplots}{which hullplots, default is none (FALSE)}
  \item{spanplots}{which spanning tree plots, default is none (FALSE)}
  \item{graphplot}{graphplot, default is no (FALSE)}
  \item{objplot}{object score plot, default is no (FALSE)}
  \item{objscores}{object scores written to file, default is no (FALSE)}
  \item{objlabel}{object score plot labeled, default is no (FALSE)}
  \item{offset}{offset for labeled plots, default is 1.20}
  \item{eps1}{iteration precision eigenvalues, default is -Inf}
  \item{eps2}{iteration precision eigenvectors, default is 1e-6}
  \item{itermax}{maximum number of iterations, default is 100}
  \item{voronoi}{voronoi diagram, default is no (FALSE)}
  \item{saveMe}{do we return the results, default is no (FALSE)}
  \item{demo}{animated iteration demo, default is no (FALSE)}
  \item{timer}{time the steps of program, default is no (FALSE)}
  \item{tk}{create tk output, default is no (FALSE), used by \code{tkhomals}}
  \item{img1}{tkrplot image placeholder, used by \code{tkhomals}} 
  \item{img2}{tkrplot image placeholder, used by \code{tkhomals}} 
  \item{img3}{tkrplot image placeholder, used by \code{tkhomals}} 
  \item{name}{dataframe name, used by \code{tkhomals}}
}
\details{
  This functions requires data to be stored in a data-frame. It can produce a variety
  of graphs which are stored in a pdf file. Results are stored in an ascii file.
}
\note{
  Needs to be executed from a writeable directory. File names are determined by the
  name of the data argument passed to the function. 
}
\author{Jan de Leeuw}
\examples{
## produce graphplot and objplot for data set mammals,
## results are save into an ascii file "mammals.out"
## all graphs are is saved into a pdf file named "mammals.pdf"
\dontrun{data(mammals)}
\dontrun{homals(mammals, graphplot = TRUE, objplot = TRUE)}
}
\keyword{multivariate}
\eof
\name{house}
\docType{data}
\alias{house}
\title{House Data}
\description{
 house data.
}
\usage{data(house)}
\format{A table containing n observations.}
\source{unknown}
\references{}
\keyword{datasets}
\eof
\name{hullplot}
\alias{hullplot}
\title{hullplot}
\description{hullplot}
\keyword{internal}
\eof
\name{isDownSatisfied}
\alias{isDownSatisfied}
\title{isDownSatisfied}
\description{isDownSatisfied}
\keyword{internal}
\eof
\name{isUpSatisfied}
\alias{isUpSatisfied}
\title{isUpSatisfied}
\description{isUpSatisfied}
\keyword{internal}
\eof
\name{lossplot}
\alias{lossplot}
\title{lossplot}
\description{lossplot}
\keyword{internal}
\eof
\name{mammals}
\alias{mammals}
\docType{data}
\title{mammals}
\description{
  List of mammals categorized by dental properties.
}
\usage{data(mammals)}
\format{
  A data frame with 66 observations on the following 8 variables.
  \describe{
    \item{topincisors}{a numeric vector}
    \item{bottomincisors}{a numeric vector}
    \item{topcanines}{a numeric vector}
    \item{bottomcanines}{a numeric vector}
    \item{toppremolars}{a numeric vector}
    \item{bottompremolars}{a numeric vector}
    \item{topmolars}{a numeric vector}
    \item{bottommolars}{a numeric vector}
  }
}
\source{
  Clustering Algorithms, New York, Wiley, 1975, Table 9.1
}
\references{
  J.A. Hartigan
}
\examples{
data(mammals)
}
\keyword{datasets}
\eof
\name{mergeBlockup}
\alias{mergeBlockup}
\title{mergeBlockup}
\description{mergeBlockup}
\keyword{internal}
\eof
\name{nominalY}
\alias{nominalY}
\title{nominalY}
\description{nominalY}
\keyword{internal}
\eof
\name{normX}
\alias{normX}
\title{normX}
\description{normX}
\keyword{internal}
\eof
\name{numericalY}
\alias{numericalY}
\title{numericalY}
\description{numericalY}
\keyword{internal}
\eof
\name{objplot}
\alias{objplot}
\title{objplot}
\description{objplot}
\keyword{internal}
\eof
\name{ordinalY}
\alias{ordinalY}
\title{ordinalY}
\description{ordinalY}
\keyword{internal}
\eof
\name{orthogonalPolynomials}
\alias{orthogonalPolynomials}
\title{orthogonalPolynomials}
\description{orthogonalPolynomials}
\keyword{internal}
\eof
\name{pava}
\alias{pava}
\title{Pooled Adjacent Violators}
\description{
This implements the pooled adjacent violators algorithm for
monotone regression}
\keyword{internal}
\eof
\name{pcaUpdateY}
\alias{pcaUpdateY}
\title{pcaUpdateY}
\description{pcaUpdateY}
\keyword{internal}
\eof
\name{polynomialY}
\alias{polynomialY}
\title{polynomialY}
\description{polynomialY}
\keyword{internal}
\eof
\name{putBack}
\alias{putBack}
\title{putBack}
\description{putBack}
\keyword{internal}
\eof
\name{restrictY}
\alias{restrictY}
\title{restrictY}
\description{restrictY}
\keyword{internal}
\eof
\name{senate}
\docType{data}
\alias{senate}
\title{Senate Data}
\description{
 Senate data.
}
\usage{data(senate)}
\format{A table containing n observations.}
\source{unknown}
\references{}
\keyword{datasets}
\eof
\name{sleeping}
\docType{data}
\alias{sleeping}
\title{Sleeping Data}
\description{
 sleeping data.
}
\usage{data(sleeping)}
\format{A table containing n observations.}
\source{unknown}
\references{}
\keyword{datasets}
\eof
\name{small}
\docType{data}
\alias{small}
\title{Small Data}
\description{
 small data.
}
\usage{data(small)}
\format{A table containing n observations.}
\source{unknown}
\references{}
\keyword{datasets}
\eof
\name{spanplot}
\alias{spanplot}
\title{spanplot}
\description{spanplot}
\keyword{internal}
\eof
\name{starplot}
\alias{starplot}
\title{starplot}
\description{starplot}
\keyword{internal}
\eof
\name{sumSet}
\alias{sumSet}
\title{sumSet}
\description{sumSet}
\keyword{internal}
\eof
\name{tkhomCheckAll}
\alias{tkhomCheckAll}
\title{tkhomCheckAll}
\description{tkhomCheckAll}
\keyword{internal}
\eof
\name{tkhomQuit}
\alias{tkhomQuit}
\title{tkhomQuit}
\description{tkhomQuit}
\keyword{internal}
\eof
\name{tkhomSubmit}
\alias{tkhomSubmit}
\title{tkhomSubmit}
\description{tkhomSubmit}
\keyword{internal}
\eof
\name{tkhomals}
\alias{tkhomals}
\title{Homogeneity Analysis GUI}
\description{
  This function provides a tcl/tk gui for the homals function.
}
\usage{
tkhomals(data)
}
\arguments{
  \item{data}{data (in data-frame)}
}
\details{
  This functions requires data to be stored in a data-frame. It can produce a variety
  of graphs which are stored in a pdf file. Results are stored in an ascii file.
}
\note{
  Needs to be executed from a writeable directory. File names are determined by the
  name of the data argument passed to the function. 
}
\author{Arno Ouwehand}
\examples{
## present tcl/tk gui for data set senate
\dontrun{data(senate)}
\dontrun{tkhomals(senate)}
}
\keyword{multivariate}
\eof
\name{trfplot}
\alias{trfplot}
\title{trfplot}
\description{trfplot}
\keyword{internal}
\eof
\name{weightedGramSchmidt}
\alias{weightedGramSchmidt}
\title{weightedGramSchmidt}
\description{weightedGramSchmidt}
\keyword{internal}
\eof
\name{writeA}
\alias{writeA}
\title{writeA}
\description{writeA}
\keyword{internal}
\eof
\name{writeHead}
\alias{writeHead}
\title{writeHead}
\description{writeHead}
\keyword{internal}
\eof
\name{writeY}
\alias{writeY}
\title{writeY}
\description{writeY}
\keyword{internal}
\eof
